# Uses of Interface
org.eclipse.emf.cdo.server.db.IDBStore

Packages that use IDBStore
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.evolution
Server concepts for dealing with model evolution and database migration.
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IDBStore in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return IDBStore
Modifier and Type
Method
Description
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider)`
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, Map<String,String> properties)`
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, IModelEvolutionSupport modelEvolutionSupport, Map<String,String> properties)`
`IDBStore`
IDBStoreAccessor.`getStore()`
`IDBStore`
IIDHandler.`getStore()`

## Uses of IDBStore in org.eclipse.emf.cdo.server.db.evolution

Methods in org.eclipse.emf.cdo.server.db.evolution that return IDBStore
Modifier and Type
Method
Description
`IDBStore`
IModelEvolutionSupport.`getStore()`
Returns the DB store this model evolution support is associated with.
Methods in org.eclipse.emf.cdo.server.db.evolution with parameters of type IDBStore
Modifier and Type
Method
Description
`void`
IModelEvolutionSupport.`setStore(IDBStore store)`
Sets the DB store this model evolution support is associated with.

## Uses of IDBStore in org.eclipse.emf.cdo.server.db.evolution.phased

Methods in org.eclipse.emf.cdo.server.db.evolution.phased that return IDBStore
Modifier and Type
Method
Description
`IDBStore`
PhasedModelEvolutionSupport.`getStore()`
Returns the DB store this model evolution support is associated with.
Methods in org.eclipse.emf.cdo.server.db.evolution.phased with parameters of type IDBStore
Modifier and Type
Method
Description
`protected List<Context.Model>`
FolderContextManager.`loadModelsFromDatabase(IDBStore store)`
Loads the models from the database.
`void`
PhasedModelEvolutionSupport.`setStore(IDBStore store)`
Sets the DB store this model evolution support is associated with.

## Uses of IDBStore in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping that return IDBStore
Modifier and Type
Method
Description
`IDBStore`
IMappingStrategy.`getStore()`
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IDBStore
Modifier and Type
Method
Description
`void`
IMappingStrategy.`setStore(IDBStore dbStore)`
Set the store to which this MappingStrategy instance belongs.